List the ordinances
Switched off ones last, each with how many violations name it. Readable by the field team and by admin on Animals.
GET
https://{organization}.rescueconsole.com
/
api
/
animals
/
field-services
/
ordinances
List the ordinances
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/field-services/ordinances \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/field-services/ordinances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/field-services/ordinances"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"code": "<string>",
"name": "<string>",
"fine_cents": 123,
"is_active": true,
"sort_order": 123,
"jurisdiction": {
"id": "<string>",
"name": "<string>"
},
"used": 123
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
List the ordinances
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/field-services/ordinances \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/field-services/ordinances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/field-services/ordinances"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"code": "<string>",
"name": "<string>",
"fine_cents": 123,
"is_active": true,
"sort_order": 123,
"jurisdiction": {
"id": "<string>",
"name": "<string>"
},
"used": 123
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
